# SystemExecutor

[![Gem Version](https://badge.fury.io/rb/system_executor.svg)](http://badge.fury.io/rb/system_executor)

The dead simple wrapper class for the `Kernel.system` calls. Useful during tests
when you want mock the system calls.

## Installation

Add this line to your application's Gemfile:

    gem 'system_executor'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install system_executor

## Usage

```
require 'system_executor'

class Foo

  def initialize(executor)
    @executor = executor
  end

  def bar
    ...
    @executor.run 'rm -r /tmp'
    ...
  end

end

foo = Foo.new(SystemExecutor::Executor.new)
foo.bar

```

## Versioning

See [semver.org][semver]

## Contributing

1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request

[semver]: http://semver.org/
